Skip to main content
GET
/
v1
/
workspace
/
call-outcomes
List call outcomes
curl --request GET \
  --url https://api.oneinbox.ai/v1/workspace/call-outcomes \
  --header 'Authorization: Bearer <token>'
{
  "builtin": [
    "interested",
    "not_interested",
    "appointment_booked",
    "voicemail",
    "no_answer"
  ],
  "items": [
    {
      "id": "cou_abc123",
      "name": "hot_lead",
      "label": "Hot Lead",
      "description": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneinbox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Response

200 - application/json

OK

builtin
string[]

Platform-level outcome labels available to all accounts

Example:
[
"interested",
"not_interested",
"appointment_booked",
"voicemail",
"no_answer"
]
items
object[]

Custom outcomes created for this workspace

total
integer

Total custom outcomes